Redmine - Patch #32370

Action menu on issues details should not flip with the history order
2019-10-30 06:05 - Bernhard Rohloff
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Description

By now, when one choose reverse chronological order to display the history of an issue the action menu flips to the top between the
issue and the history. Since the action menu isn't related to the history it's not expected by the user. It also causes occasional
rendering problems for some users (http://www.redmine.org/boards/1/topics/57345), too. The action menu should always stay on the
bottom of the view.

Related issues:

Related to Redmine - Defect #31438: Incorrect position of the "Associated rev... Closed
Related to Redmine - Feature #23518: Move action links and edit form above th... Closed
Related to Redmine - Feature #32009: Allow to directly edit Issues New
History

#1 - 2019-10-30 06:10 - Bernhard Rohloff

- Related to Defect #31438: Incorrect position of the "Associated revisions" block when comments are displayed in reverse chronological order added

#2 - 2019-10-30 06:28 - Go MAEDA

- Related to Feature #23518: Move action links and edit form above the history when displaying comments in reverse order added

#3 - 2019-10-31 06:16 - Go MAEDA

| think the current position is convenient when adding notes to the same issue one after another (sometimes | do that when | maintain a server. |
paste commands that | entered one after another).

If the action buttons are placed at the bottom, | have to scroll down to add another note.
#4 - 2019-10-31 06:32 - Bernhard Rohloff
Go MAEDA wrote:

| think the current position is convenient when adding notes to the same issue one after another (sometimes | do that when | maintain a server. |
paste commands that | entered one after another).

If the action buttons are placed at the bottom, | have to scroll down to add another note.

Valid points...

#5 - 2019-10-31 08:41 - Bernhard Rohloff
- Related to Feature #32009: Allow to directly edit Issues added

#6 - 2019-10-31 08:46 - Bernhard Rohloff
| think #32009 is a very good proposal for that.

#7 - 2019-12-22 17:35 - Andrew Reshetov
- File changed-clear-to-left.patch added

The problem is that sidebar is also positionied with float property (floar: right) and div with clear:both (which placed around div.contextual) block float
and add gap.

| changed clear property on left and page displays correct after.

In 4.1+ version float was replaced with flex. So this problem actual for 4.0- versions only.
http://www.redmine.org/boards/1/topics/57345
https://www.redmine.org/issues/32009

Files

fix_flipping_action_menu_on_issues_view.diff 674 Bytes 2019-10-30 Bernhard Rohloff
changed-clear-to-left.patch 535 Bytes 2019-12-22 Andrew Reshetov
